#include "HitEfficiency.h"

//
// class to fit "HitEfficiency" function parameters to represent
// measured efficiency, stored in a TH1F
//
// The class inherits from HitEfficiency to share its members,
// but is kept separate from it to allow HitEfficiency usage in
// contexts where ROOT is not available
//

class TH1F;

class FitEfficiency: public HitEfficiency {

 public:

  FitEfficiency();
  ~FitEfficiency();

  // function to fit function parameters to represent efficiency
  // described by "histo"
  void fit( TH1F* histo );

  // function to get a single object instance
  static FitEfficiency* instance();

  // functions to copy function parameters to/from array "par", used by ROOT
  void getPar(       double* par ) const;
  void setPar( const double* par );

 private:

};


